#============================================================================================================================================#
# -*- coding:Utf-8 -*-
# welcom_sound V1.202p (23/07/2008) by DoCky 
# MATTIE'S EVENTSCRIPTS 2.0, PYTHON OPERATIONNEL




import es, psyco, wslib.WsFile, wslib.WsList, wslib.WsPlay
psyco.full()

ws_info = es.AddonInfo()
ws_info.version = "1.202p"
ws_info.author = "DoCky"
ws_info.name = "welcom_sound"
ws_info.url = "http://addons.eventscripts.com/addons/user/11751"
ws_path = "%s/cfg/welcom_sound/" % es.ServerVar("eventscripts_gamedir")

cv_vers = es.ServerVar(ws_info.name, "", "%s by DoCky -" % ws_info.name)
cv_play = es.ServerVar("ws_play")
cv_down = es.ServerVar("ws_down")

_file = wslib.WsFile.WsFile(ws_path)
_list = wslib.WsList.WsList()
_play = wslib.WsPlay.WsPlay()




#    INIT    #
def init():
    es.log("[welcom_sound] loading...")
    cv_vers.set(ws_info.version)
    cv_vers.makepublic()

    _file.init("config")
    _file.init("playlist")

    _list.read()
    es.server.cmd("es_xmexec welcom_sound/config.cfg")
    es.log("[welcom_sound] playmode : %s" % cv_play)

    if int(cv_down):
        es.log("[welcom_sound] download : activate")
        _list.down()

    else:
        es.log("[welcom_sound] download : desactivate")

    _play.init(_list._list)
    _play.next(cv_play)
    
    es.log("[welcom_sound] ...loaded")




#    EVENT    #
def unload():
    es.log("[welcom_sound] unloaded")

def load():
    init()

def es_map_start(event_var):
    init()

def player_activate(event_var):
    es.playsound(event_var["userid"], _list._list[_play._indx], 1)

#============================================================================================================================================#

