# -*- coding:Utf-8 -*-
# WsList by DoCky 


import es, os, re, psyco
psyco.full()


class WsList:
    """
        Playlist
    """

    def __init__(self):
        self._path = "%s/cfg/welcom_sound/playlist.cfg" % es.ServerVar("eventscripts_gamedir")
        self._file = "%s/sound/" % es.ServerVar("eventscripts_gamedir")
        self._list = []

    def __loop(self):
        indx = 0
        while indx < len(self._list):
            self._list[indx] = re.sub('//.*|(\r)+|(")+', "", self._list[indx])
            self._list[indx].strip()

            if not self._list[indx]:
                self._list.remove(self._list[indx])

            elif not os.path.isfile("%s%s" % (self._file, self._list[indx])):
                es.log("[welcom_sound] missing file : sound/%s" % self._list[indx])
                self._list.remove(self._list[indx])

            else:
                indx += 1

    def read(self):
        self._list = []
        line = open(self._path, "r")
        self._list = line.read().split("\n")

        line.close()
        self.__loop()

    def down(self):
        for path in self._list:
            es.stringtable("downloadables", "sound/%s" % path)
